package com.mortals.xhx.module.alarm.model;

import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.alarm.model.vo.AlarmSmsSendVo;
/**
 * 短信发送记录实体对象
 *
 * @author zxfei
 * @date 2022-08-22
 */

public class AlarmSmsSendEntity extends AlarmSmsSendVo {
    private static final long serialVersionUID = 1L;

    /**
     * 联系电话
     */
    @Excel(name = "联系电话")
    private String mobile;
    /**
     * 接收人员
     */
    @Excel(name = "接收人员")
    private String receiver;
    /**
     * 发送内容
     */
    @Excel(name = "发送内容")
    private String sendMess;
    /**
     * 发送状态(0.未发送，1.提交，2.发送成功，3.发生失败)
     */
    @Excel(name = "发送状态", readConverterExp = "0=未发送,1=提交,2=发送成功,3=发生失败")
    private Integer sendStatus;
    /**
     * 发送时间
     */
    private Date sendTime;
    /**
     * 站点Id，来源基础服务平台
     */
    private Long siteId;



    public AlarmSmsSendEntity(){}
    /**
     * 获取 联系电话
     * @return String
     */
    public String getMobile(){
        return mobile;
    }
    /**
     * 设置 联系电话
     * @param mobile
     */
    public void setMobile(String mobile){
        this.mobile = mobile;
    }
    /**
     * 获取 接收人员
     * @return String
     */
    public String getReceiver(){
        return receiver;
    }
    /**
     * 设置 接收人员
     * @param receiver
     */
    public void setReceiver(String receiver){
        this.receiver = receiver;
    }
    /**
     * 获取 发送内容
     * @return String
     */
    public String getSendMess(){
        return sendMess;
    }
    /**
     * 设置 发送内容
     * @param sendMess
     */
    public void setSendMess(String sendMess){
        this.sendMess = sendMess;
    }
    /**
     * 获取 发送状态(0.未发送，1.提交，2.发送成功，3.发生失败)
     * @return Integer
     */
    public Integer getSendStatus(){
        return sendStatus;
    }
    /**
     * 设置 发送状态(0.未发送，1.提交，2.发送成功，3.发生失败)
     * @param sendStatus
     */
    public void setSendStatus(Integer sendStatus){
        this.sendStatus = sendStatus;
    }
    /**
     * 获取 发送时间
     * @return Date
     */
    public Date getSendTime(){
        return sendTime;
    }
    /**
     * 设置 发送时间
     * @param sendTime
     */
    public void setSendTime(Date sendTime){
        this.sendTime = sendTime;
    }
    /**
     * 获取 站点Id，来源基础服务平台
     * @return Long
     */
    public Long getSiteId(){
        return siteId;
    }
    /**
     * 设置 站点Id，来源基础服务平台
     * @param siteId
     */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof AlarmSmsSendEntity) {
            AlarmSmsSendEntity tmp = (AlarmSmsSendEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",mobile:").append(getMobile());
        sb.append(",receiver:").append(getReceiver());
        sb.append(",sendMess:").append(getSendMess());
        sb.append(",sendStatus:").append(getSendStatus());
        sb.append(",sendTime:").append(getSendTime());
        sb.append(",siteId:").append(getSiteId());
        return sb.toString();
    }

    public void initAttrValue(){

        this.mobile = "";

        this.receiver = "";

        this.sendMess = "";

        this.sendStatus = null;

        this.sendTime = null;

        this.siteId = null;
    }
}